GLPI up to 0.78.4 Installation cross-site request forgery

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.0$0-$5k0.00

A vulnerability was found in GLPI up to 0.78.4 (Asset Management Software). It has been rated as critical. Affected by this issue is an unknown function of the component Installation. The manipulation with an unknown input leads to a cross-site request forgery vulnerability. Using CWE to declare the problem leads to CWE-352. The web application does not, or can not, sufficiently verify whether a well-formed, valid, consistent request was intentionally provided by the user who submitted the request. Impacted is confidentiality, integrity, and availability. CVE summarizes:

inc/central.class.php in GLPI before 0.84.2 does not attempt to make install/install.php unavailable after an installation is completed, which allows remote attackers to conduct cross-site request forgery (CSRF) attacks, and (1) perform a SQL injection via an Etape_4 action or (2) execute arbitrary PHP code via an update_1 action.

The weakness was presented 09/22/2013 (Website). The advisory is shared for download at forge.indepnet.net. This vulnerability is handled as CVE-2013-5696 since 09/04/2013. The attack may be launched remotely. No form of authentication is required for exploitation. Successful exploitation requires user interaction by the victim. Technical details are unknown but a public exploit is available.

A public exploit has been developed by High-Tech Bridge SA and been published 2 weeks after the advisory. The exploit is available at exploit-db.com. It is declared as highly functional. The vulnerability scanner Nessus provides a plugin with the ID 70404 (Fedora 20 : glpi-0.84.2-1.fc20 (2013-18202)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Fedora Local Security Checks.

Upgrading to version 0.78.5 eliminates this vulnerability. Furthermore it is possible to detect and prevent this kind of attack with TippingPoint and the filter 17196.

The vulnerability is also documented in the databases at X-Force (87304), Tenable (70404) and Exploit-DB (28685). See VDB-246584, VDB-247572, VDB-249395 and VDB-250972 for similar entries.

Productinfo

Type

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 6.3
VulDB Meta Temp Score: 6.0

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Cross-site request forgery
CWE: CWE-352 / CWE-862 / CWE-863
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Access: Public
Status: Highly functional
Author: High-Tech Bridge SA
Download: 🔍

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 70404
Nessus Name: Fedora 20 : glpi-0.84.2-1.fc20 (2013-18202)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Port: 🔍

MetaSploit ID: glpi_install_rce.rb
MetaSploit Name: GLPI install.php Remote Command Execution
MetaSploit File: 🔍

D2Sec: GLPI 0.84.1 RCE

Exploit-DB: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍
Exploit Delay Time: 🔍

Upgrade: GLPI 0.78.5
TippingPoint: 🔍

McAfee IPS: 🔍
McAfee IPS Version: 🔍

Fortigate IPS: 🔍

Timelineinfo

09/04/2013 🔍
09/12/2013 +8 days 🔍
09/22/2013 +10 days 🔍
09/22/2013 +0 days 🔍
10/02/2013 +10 days 🔍
10/02/2013 +0 days 🔍
10/13/2013 +11 days 🔍
10/21/2013 +8 days 🔍
03/24/2015 +519 days 🔍
01/07/2022 +2481 days 🔍

Sourcesinfo

Advisory: 4480
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2013-5696 (🔍)
X-Force: 87304
Vulnerability Center: 42012 - GLPI before 0.84.2 Remote CSRF Vulnerability Since Installation is Unavailable After Installation is Complete, Medium
SecurityFocus: 62515

scip Labs: https://www.scip.ch/en/?labs.20161013
See also: 🔍

Entryinfo

Created: 03/24/2015 03:54 PM
Updated: 01/07/2022 06:23 PM
Changes: 03/24/2015 03:54 PM (69), 01/29/2018 04:08 PM (11), 01/07/2022 06:15 PM (3), 01/07/2022 06:23 PM (1)
Complete: 🔍
Cache ID: 3:D06:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Want to stay up to date on a daily basis?

Enable the mail alert feature now!